Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.logging
Class MarkerFilter

    java.lang.Object
      ch.qos.logback.core.spi.ContextAwareBase
          ch.qos.logback.core.filter.Filter
              org.gradle.logging.MarkerFilter

All Implemented Interfaces:
  ch.qos.logback.core.spi.ContextAware, ch.qos.logback.core.spi.LifeCycle

    public class MarkerFilter

extends ch.qos.logback.core.filter.Filter

Field Summary

Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase
`context`

Constructor Summary
`MarkerFilter(ch.qos.logback.core.spi.FilterReply onMismatch, org.slf4j.Marker... markers)`
`MarkerFilter(org.slf4j.Marker... markers)`

Method Summary
`ch.qos.logback.core.spi.FilterReply` | `decide(java.lang.Object event)`
`java.util.List` | `getMarkers()`
`ch.qos.logback.core.spi.FilterReply` | `getOnMismatch()`
`void` | `setOnMismatch(ch.qos.logback.core.spi.FilterReply onMismatch)`

Methods inherited from class ch.qos.logback.core.filter.Filter
`getName, getNext, isStarted, setName, setNext, start, stop`

Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase
`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getStatusManager, setContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarkerFilter

    public MarkerFilter(org.slf4j.Marker... markers)

### MarkerFilter

    public MarkerFilter(ch.qos.logback.core.spi.FilterReply onMismatch,
                        org.slf4j.Marker... markers)

Method Detail

### decide

    public ch.qos.logback.core.spi.FilterReply decide(java.lang.Object event)

  Specified by:
    `decide` in class `ch.qos.logback.core.filter.Filter`

### getOnMismatch

    public ch.qos.logback.core.spi.FilterReply getOnMismatch()

### setOnMismatch

    public void setOnMismatch(ch.qos.logback.core.spi.FilterReply onMismatch)

### getMarkers

    public java.util.List getMarkers()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD